Bug 4726 - Modular imake currently requires host.def
Summary: Modular imake currently requires host.def
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Build/Modular (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 1690
  Show dependency treegraph
 
Reported: 2005-10-09 14:58 UTC by Joshua Baergen
Modified: 2005-11-18 09:45 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Makefile.am.patch (553 bytes, patch)
2005-10-17 23:45 UTC, Joshua Baergen
no flags Details | Splinter Review
Makefile.am.patch (669 bytes, patch)
2005-10-18 10:04 UTC, Joshua Baergen
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Baergen 2005-10-09 14:58:31 UTC
Several includes from /usr/lib/X11/config require host.def to exist in that
directory.  I don't believe any package currently installs it from modular.  If
it's an imake-only thing, may as well put it in xorg-cf-files.
Comment 1 Joshua Baergen 2005-10-15 22:24:01 UTC
Forgot to add you as CC on these imake bugs Donnie.
Comment 2 Donnie Berkholz 2005-10-17 22:00:03 UTC
Josh, got some sort of patch to create a host.def via Makefile.am or similar?
Perhaps similar for date.def and version.def too.
Comment 3 Joshua Baergen 2005-10-17 23:45:04 UTC
Created attachment 3574 [details] [review]
Makefile.am.patch

What I have so far.  'make dist' causes creation of host.def, version.def and
date.def and then includes them.
Comment 4 Joshua Baergen 2005-10-18 10:04:09 UTC
Created attachment 3576 [details] [review]
Makefile.am.patch

This should do what we want.
Comment 5 Adam Jackson 2005-11-19 04:45:31 UTC
applied, but with echo changed to touch.  thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.